Package uk.ac.starlink.topcat

# Class DemoToolAction

java.lang.Object
javax.swing.AbstractAction
uk.ac.starlink.topcat.DemoToolAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`, `TopcatToolAction`

public class DemoToolAction extends AbstractAction implements TopcatToolAction
This is a template for a custom extension tool for use with the TOPCAT application. To use it, set the `ControlWindow.TOPCAT_TOOLS_PROP` system property to the full name of this class, something like

         -Dtopcat.exttools=uk.ac.starlink.topcat.DemoToolAction

Since:
  27 Sep 2011
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`DemoToolAction()`
No-arg constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent evt)`
`void`
`setParent(Component parent)`
Sets the parent component.

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.Action

`accept, addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

## Constructor Details

### DemoToolAction

public DemoToolAction()
No-arg constructor. This signature is essential for use as an extension tool action.

## Method Details

### setParent

public void setParent(Component parent)
Description copied from interface: `TopcatToolAction`
Sets the parent component. This may be used when placing any windows associated with this action. This method will normally be called once, after construction and before the action is invoked.

Specified by:
  `setParent` in interface `TopcatToolAction`
Parameters:
  `parent` - parent component

### actionPerformed

public void actionPerformed(ActionEvent evt)

Specified by:
  `actionPerformed` in interface `ActionListener`